(this will throw an Error in a future version of PHP)

Hello,
I am using MyBB forum.
Before 1 or 2 days i had problems with php 7.4 and i had many warnings and errors.
Thanks to the DreamHost forum and specially thanks to Mr. Habilis , my problems was solved, now i am using normally php 7.4.

However , i notice one of the errors is still in my site. I will be very thankful and i will appreciate any help.
This is the following error message:

Warning [2] Use of undefined constant MODULE - assumed ‘MODULE’ (this will throw an Error in a future version of PHP) - Line: 11 - File: admin/modules/user/mybot.php PHP 7.4.11 (Linux)

File Line Function
/admin/modules/user/mybot.php 11 errorHandler->error
/admin/index.php 824 require

Looks like the MyBot plugin hasn’t been updated for PHP 7.4+. Some of the author’s other plugins have stale pull-requests with a possible fix:

Hello, thanks for the answer ,i did research.

My Solution:
Line: 11 - File: admin/modules/user/mybot.php PHP 7.4.
The text MODULE - i replaced with ‘‘MODULE’’

P.s. the solution was to add quotes ‘’ ‘’

This topic was automatically closed 60 minutes after the last reply. New replies are no longer allowed.